Page MenuHomePhabricator

Allow mentors to select their preferences when they signup
Open, MediumPublic

Assigned To
None
Authored By
Trizek-WMF
Nov 17 2022, 1:01 PM
Referenced Files
F35827596: image.png
Dec 1 2022, 10:46 PM
F35827557: image.png
Dec 1 2022, 9:57 PM
F35827547: image.png
Dec 1 2022, 9:38 PM
F35810968: Capture d’écran_2022-11-21_18-50-29.png
Nov 21 2022, 7:47 PM
F35807259: image.png
Nov 20 2022, 9:40 PM
Tokens
"Love" token, awarded by Iniquity.

Description

A workshop host wishes to sign-up as a workshop mentor (they will have no mentees automatically assigned).

They have to:

  1. visit Special:MentorDashboard
  2. confirm the will to be a mentor
  3. they are signed-up
  4. go to their preferences
  5. choose "none"

@Iniquity asked me what would happen if the connexion is lost between step 2 and 3 and how many mentees would be automatically assigned to this poor mentor. I think it should be treated locally with the other mentors, who can claim the (few) assigned mentees.

But Iniquity's question raises the question of improving mentors' signup. The idea would be to offer to the new mentors a new onboarding experience, so that they won't have to configure their mentor preferences after the signing-up:

  1. visit Special:MentorDashboard
  2. select your preferences (number of assigned mentors, tell if you are a workshop host, etc.)
  3. confirm the will to be a mentor
  4. you are signed up as a mentor, directly with your preferences)
Solution

Add two-option radio buttons option to Special:EnrollAsMentor

  • Title: Options for workshop hosts
  • Undertext: These values can be changed later.
  • First button
    • Main text: Automatically assign newcomers to me (default)
  • Second button
    • Main text: Don't assign newcomers to me (option for workshop hosts)
    • Undertext: New account will not be randomly assigned to my account. Like any other mentor, I can manually select the users I would like to mentor. This section is mainly for workshop hosts who just want to mentor people they met.

The default option is obviously selected by default.
Rough mockup:

Capture d’écran_2022-11-21_18-50-29.png (147×867 px, 31 KB)

Event Timeline

if the connexion is lost between step 2 and 3

Between step 3 and 4, I think :)

I think it should be treated locally with the other mentors, who can claim the (few) assigned mentees.

Yes, I think this is too complicated:

  1. You should know you've been assigned extra mentees
  2. You should find another mentor
  3. You have to convince him to take on a mentee

I think this does make sense to implement. We can add the weight relatively easily to Special:EnrollAsMentor (current form is screenshoted below), lettting the soon-to-be-mentor customize what they want to have customized. Alternatively, we can only add a checkbox that says "Do not assign any newcomers to me by default; I will claim them myself".

image.png (356×900 px, 24 KB)

Personally, I prefer the second solution, as it avoids mentors lowering their weight preventively, and then never putting it to the default value. In my opinion, this is important to avoid, as too many mentors having low weight would destroy the weight mechanism (as everyone would still receive roughly the same number of mentees).

I've added this to the upcoming mentorship meeting (which is this Monday, actually), where we can decide how this should be implemented.

We can add the weight relatively easily to Special:EnrollAsMentor (current form is screenshoted below), lettting the soon-to-be-mentor customize what they want to have customized. Alternatively, we can only add a checkbox that says "Do not assign any newcomers to me by default; I will claim them myself".

Less options are preferable to more options IMO, especially during signup.

Per the meeting decision, we agreed on using Special:EnrollAsMentor with a new checkbox. However, after a few exploration, Kirsten and I decided to go with a pair of radio buttons to clearly describe the two options.

Urbanecm_WMF triaged this task as Medium priority.

Pending confirmation of the copy.

Change 863038 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/GrowthExperiments@master] [WIP] Special:EnrollAsMentor: Allow mentors to sign up as manual

https://gerrit.wikimedia.org/r/863038

Uploaded a patch to get this stared:

image.png (486×955 px, 43 KB)

I have to find how to add the help text (undertext) too, as specified.

@Trizek-WMF Does the title for the radio button sound good to you? Or should we rephrase it, or remove it altogether?

I just noticed the texts in the description. Here's a final screenshot:

image.png (691×990 px, 56 KB)

Unfortunately, this needs T324268: HTMLRadioField: Support per-option help texts for the per-option help texts to be possible. Moving both tasks to CR.

Urbanecm_WMF changed the task status from Open to In Progress.Dec 1 2022, 10:46 PM
Urbanecm_WMF changed the status of subtask T324268: HTMLRadioField: Support per-option help texts from Open to In Progress.

The last screenshot looks good to me!

Unfortunately, this needs T324268: HTMLRadioField: Support per-option help texts for the per-option help texts to be possible. Moving both tasks to CR.

Per CR comments it seems we would need to provide the feature on the OOUI Javascript matching widget, not just in PHP. Is this something you're planning to work @Urbanecm_WMF ? If so let me know if I can support you.

As an alternative shortcut we could just display the help text in parenthesis in the same line and improve the UI on a follow-up.

KStoller-WMF subscribed.

I agree that we should eventually improve this, but I think we need to put this on hold while we focus on Community Configuration 2.0 work.
I would love to eventually work on this task and a task around onboarding new Mentors in tandem: T318482: Design a Guided Tour for Mentors

Pppery changed the task status from In Progress to Open.Tue, Apr 2, 11:49 PM
Pppery edited projects, added Patch-Needs-Improvement; removed Patch-For-Review.